
//###############################
//Dynamic drawing---------------

Lib.Draw = (function(){
    var obj = {};

    function getTex_RoundedRect(opts){
        var self = this;
        var opts = opts || {};
        var color = Lib.check.isNumber(opts.color) ? opts.color : 0xffffff;
        var lineWidth = Lib.check.isNumber(opts.lineWidth) ? opts.lineWidth : 0;
        var lineColor = Lib.check.isNumber(opts.lineColor) ? opts.lineColor : 0x000000;
        var lineAlpha = Lib.check.isNumber(opts.lineAlpha) ? opts.lineAlpha : 1;
        var width = Lib.check.isNumber(opts.width) ? opts.width : 200;
        var height = Lib.check.isNumber(opts.height) ? opts.height : 100;
        var radius = Lib.check.isNumber(opts.radius) ? opts.radius : 60;

        var graphics = game.add.graphics(0,0);

        graphics.beginFill(color);
        graphics.lineStyle(lineWidth,lineColor,lineAlpha);
        graphics.drawRoundedRect(0,0,width,height,radius);
        graphics.endFill();

        var texture = graphics.generateTexture();
        graphics.destroy();

        return texture;
    }

    obj.getTex_RoundedRect = getTex_RoundedRect;

    //
    return obj;

}());